Maintenance is complete- We've moved from the saas.hpe.com domain to softwaregrp.com click to read more
As part of our journey to complete our separation work and our future integration with Micro Focus, we've now updated our domain for the community. This is an interim step, which will be followed by a series of future update / improvements: - Piloting Idea boards - Refreshing the entire UI. (more to come later) - and more
Server Automation Practitioners Forum
cancel

9.14 Patch: fails when running patch_contents.sh

Bertram Fukuda
Super Contributor.

9.14 Patch: fails when running patch_contents.sh

I'm trying to get the 9.14 patch installed on our core.  Our configuration is 

 

server1: oracle database server

server2: MR, Infra, OS Prov, Slice0

server3: slice1

 

The patch_database.sh and patch_opsware.sh run without issue but the patch_contents.sh blows up when trying to upload OPSWpytwist (windows).  The errors reported are

 

Error Encountered

 

SUMMARY: Database Access Engine Method Error

Description:  A Database Access Engine method was called incorrectly.

Solution: Contact Technical Support

 

DETAILS: Time: 04/March/2013 201750

Hostname: server1

Message Text: Unknown method 'Unit.getPlatforms' Failed to upload after three attempts

Failed to upload

FAILURE (Could not run upload of OPSWpytwist-45.0.32014.0.zip (Windows))

[Mar-04-2013 20:17:51] Component installation scripts encountered an error (exit status 1)

[Mar-04-2013 20:17:51] Exiting Opsware installer.

 

Anyone have issues patching to 9.14?

 

Thanks,
Bert

 

2 REPLIES
FlorinBaca
Respected Contributor.

Re: 9.14 Patch: fails when running patch_contents.sh

Hi Bert,

 

We would need to have a look at the verbose patch logs from /var/log/opsware/install_opsware. If you could, please upload both the patch and the contents verbose log files. You could also e-mail me the files if you don't want to share them on forum.

 

Thanks,

Florin

Highlighted
Bertram Fukuda
Super Contributor.

Re: 9.14 Patch: fails when running patch_contents.sh

We figured this out.  We has to install the bootcert patch to our existing core server before going to 9.14.